curl --request PATCH \
--url 'https://api.workstream.stateset.com/v1/brands/{brand_id}' \
--header "x-api-key: $STATESET_TEMPORAL_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"slug": "acme-outdoors",
"name": "Two-Person Tent",
"tenant_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"status": "pending",
"routing_mode": "string"
}'
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"tenant_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"slug": "acme-outdoors",
"display_name": "Ada Lovelace",
"status": "pending",
"routing_mode": "string",
"canary_percent": 8,
"region": "CA",
"default_locale": "string",
"policy_set_key": "string",
"quotas": {},
"metadata": {},
"config_version": 1,
"config_fingerprint": "string",
"activated_at": "2026-08-31T14:22:05Z",
"created_at": "2026-08-31T14:22:05Z",
"updated_at": "2026-08-31T14:22:05Z",
"workflow_bindings": [
{
"workflow_type": "string",
"template_key": "string",
"template_version": 1,
"task_queue": "string",
"enabled": true,
"deterministic_config": {}
}
]
}
Update brand
The updated brand. Note: a workflow_bindings array in the patch replaces ALL of the brand’s bindings.
PATCH
/
v1
/
brands
/
{brand_id}
curl --request PATCH \
--url 'https://api.workstream.stateset.com/v1/brands/{brand_id}' \
--header "x-api-key: $STATESET_TEMPORAL_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"slug": "acme-outdoors",
"name": "Two-Person Tent",
"tenant_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"status": "pending",
"routing_mode": "string"
}'
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"tenant_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"slug": "acme-outdoors",
"display_name": "Ada Lovelace",
"status": "pending",
"routing_mode": "string",
"canary_percent": 8,
"region": "CA",
"default_locale": "string",
"policy_set_key": "string",
"quotas": {},
"metadata": {},
"config_version": 1,
"config_fingerprint": "string",
"activated_at": "2026-08-31T14:22:05Z",
"created_at": "2026-08-31T14:22:05Z",
"updated_at": "2026-08-31T14:22:05Z",
"workflow_bindings": [
{
"workflow_type": "string",
"template_key": "string",
"template_version": 1,
"task_queue": "string",
"enabled": true,
"deterministic_config": {}
}
]
}
Path parameters
string (uuid)
required
Request body
BrandInput
string
string
string (uuid)
string
string
Response
object
string (uuid)
required
string (uuid)
required
string
required
string
required
string
required
string
required
integer
required
string
required
string
required
string
object
required
object
required
integer
required
string
required
string (date-time)
string (date-time)
required
string (date-time)
required
object[]
required
Status codes
| Code | Meaning |
|---|---|
200 | The updated brand. Note: a workflow_bindings array in the patch replaces ALL of the brand’s bindings. |
400 | Validation error |
401 | Unauthorized |
404 | Not found |
429 | Rate limited |
500 | Internal error |
curl --request PATCH \
--url 'https://api.workstream.stateset.com/v1/brands/{brand_id}' \
--header "x-api-key: $STATESET_TEMPORAL_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"slug": "acme-outdoors",
"name": "Two-Person Tent",
"tenant_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"status": "pending",
"routing_mode": "string"
}'
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"tenant_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"slug": "acme-outdoors",
"display_name": "Ada Lovelace",
"status": "pending",
"routing_mode": "string",
"canary_percent": 8,
"region": "CA",
"default_locale": "string",
"policy_set_key": "string",
"quotas": {},
"metadata": {},
"config_version": 1,
"config_fingerprint": "string",
"activated_at": "2026-08-31T14:22:05Z",
"created_at": "2026-08-31T14:22:05Z",
"updated_at": "2026-08-31T14:22:05Z",
"workflow_bindings": [
{
"workflow_type": "string",
"template_key": "string",
"template_version": 1,
"task_queue": "string",
"enabled": true,
"deterministic_config": {}
}
]
}
Last modified on August 31, 2026